Bug 376121 - Exception: No Groups Available in any repository
Exception: No Groups Available in any repository
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 11:19 EST by Ian Chapman
Modified: 2007-12-06 15:52 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2.8-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 15:52:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2007-11-11 11:19:00 EST
Description of problem:

When using a local repository, after any package installation an exception is
produced complaining that there are no groups. This is probably true but I think
it should be handled gracefully.

Version-Release number of selected component (if applicable):
pirut-1.3.25-2.fc8


Additional info:

The exception generated:


Component: pirut
Summary: TB5d58a036 __init__.py:515:_getGroups:GroupsError: No Groups Available
in any repository

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 116, in _pageSwitch
    self.pageMap[num]()
  File "/usr/sbin/pirut", line 317, in _showBrowse
    grpsel.doRefresh()
  File "/usr/lib/python2.5/site-packages/pirut/GroupSelector.py", line 509, in
doRefresh
    if len(self.ayum.comps.categories) == 0:
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 542, in <lambda>
    comps = property(fget=lambda self: self._getGroups(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 515, in _getGroups
    raise Errors.GroupsError, 'No Groups Available in any repository'
GroupsError: No Groups Available in any repository

Local variables in innermost frame:
repo: scmyumrepo-updates
reposWithGroups: []
self: <__main__.PackageManager object at 0x1001690>
e: requested datatype group not available
overwrite: False


Repo file.

[scmyumrepo-fedora]
name=Fedora $releasever - $basearch
baseurl=http://yumrepo.scm.tees.ac.uk/fedora/$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY


[scmyumrepo-updates]
name=Fedora Core $releasever - $basearch - Updates
baseurl=http://yumrepo.scm.tees.ac.uk/updates/$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora


[scmyumrepo-livna]
name=Livna for Fedora Core $releasever - $basearch - Base
baseurl=http://yumrepo.scm.tees.ac.uk/livna/$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-livna


[scmyumrepo-dribble]
name=Dribble for Fedora $releasever - $basearch
baseurl=http://yumrepo.scm.tees.ac.uk/dribble/$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-dribble
Comment 1 Jeremy Katz 2007-11-12 11:26:02 EST
Fixed in upstream yum.  Also, should stop happening now that the fixed comps
file is pushed in the updates repo
Comment 2 Fedora Update System 2007-12-06 12:39:11 EST
yum-3.2.8-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'
Comment 3 Fedora Update System 2007-12-06 15:52:06 EST
yum-3.2.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.